Bug 180345

Summary: [css-grid] Update imported Web Platform Tests
Product: WebKit Reporter: Javier Fernandez <jfernandez>
Component: Layout and RenderingAssignee: Javier Fernandez <jfernandez>
Status: RESOLVED FIXED    
Severity: Normal CC: bfulgham, commit-queue, Ms2ger, rego, simon.fraser, webkit-bug-importer, youennf, zalan
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 180283, 180287, 180511    
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Patch
none
Patch none

Description Javier Fernandez 2017-12-04 02:46:05 PST
We need to import the latest version of the Web Platform Tests for grid layout.
Comment 1 Javier Fernandez 2017-12-04 02:53:08 PST
Created attachment 328336 [details]
Patch
Comment 2 Manuel Rego Casasnovas 2017-12-04 04:11:16 PST
Just a quick review as we need to rebase this. :-)

LayoutTests/imported/w3c/ChangeLog doesn't need to be so long, I'd remove all the noise there regarding the files that have changed.

Also I'd remove the current phrase "Updated grid web-platform-tests" as doesn't add anything extra to the commit title. And add an explanation about what's going on here and why this patch is so big, as the folder in WPT has been renamed.
Comment 3 Ms2ger (he/him; ⌚ UTC+1/+2) 2017-12-04 04:48:32 PST
Please update wpe's TestExpectations as well.
Comment 4 Javier Fernandez 2017-12-04 06:44:05 PST
Created attachment 328344 [details]
Patch
Comment 5 Manuel Rego Casasnovas 2017-12-04 08:38:59 PST
Comment on attachment 328344 [details]
Patch

I don't manage to review it on https://bugs.webkit.org/attachment.cgi?id=328344&action=review (maybe it's too big), so I'll do it here.

Typos on LayoutTests/ChangeLog:
+        Removed from he expectations file a test that has been removed recetly.
Fix "he" and "recetly".

In LayoutTests/imported/w3c/ChangeLog:
+        Import new grid related Web Platform tests and rename the css/css-grid folder to css/css-grid/
I'd explain that this rename was done upstream in WPT.
Also mention that we're importing now "css/resources" too
as check-layout-th.js was moved there.

In LayoutTests/imported/w3c/resources/import-expectations.json
-    "web-platform-tests/css/css-grid-1": "import", 
+    "web-platform-tests/css/css-grid/": "import", 
Nit: I guess we should remove the slash as other don't have it.
Comment 6 Javier Fernandez 2017-12-04 10:35:12 PST
Created attachment 328360 [details]
Patch

Patch for landing.
Comment 7 WebKit Commit Bot 2017-12-04 14:57:59 PST
Comment on attachment 328360 [details]
Patch

Rejecting attachment 328360 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-03', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 328360, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
eb
r225489 = ce91586891328defcf687dc348d66b51982bee1b
r225490 = 4728ec3653df0f9d1095d095178bd688ef7894c6
r225491 = cf9602aac42e97a643855f12d5fd3d94cf36d14b
r225492 = ff37c51f365eb8208cef4c9cd2c657cae4ab7a80
r225493 = 508b04b8fb9642c8e091d93f68060d4f754ed58f
Done rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc
First, rewinding head to replay your work on top of it...
Fast-forwarded master to refs/remotes/origin/master.
Total errors found: 0 in 1 files

Full output: http://webkit-queues.webkit.org/results/5492759
Comment 8 Javier Fernandez 2017-12-05 12:30:02 PST
Created attachment 328484 [details]
Patch

Patch for landing.
Comment 9 Javier Fernandez 2017-12-05 14:00:17 PST
Created attachment 328496 [details]
Patch

Patch for landing.
Comment 10 WebKit Commit Bot 2017-12-05 17:49:12 PST
Comment on attachment 328496 [details]
Patch

Clearing flags on attachment: 328496

Committed r225561: <https://trac.webkit.org/changeset/225561>
Comment 11 WebKit Commit Bot 2017-12-05 17:49:14 PST
All reviewed patches have been landed.  Closing bug.
Comment 12 Radar WebKit Bug Importer 2017-12-06 16:23:40 PST
<rdar://problem/35895890>